sleepyhead_1.0.0-beta-2+dfsg-6_i386.deb


Advertisement

Description

sleepyhead - Sleep tracking software with a focus on monitoring CPAP treatment

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename sleepyhead_1.0.0-beta-2+dfsg-6_i386.deb
Package name sleepyhead
Package version 1.0.0
Package release beta-2+dfsg-6
Package architecture i386
Package type deb
Category field::medicine implemented-in::c++ interface::graphical interface::x11 role::program science science::data-acquisition uitoolkit::qt use::timekeeping x11::application
Homepage https://sleepyhead.jedimark.net/
License -
Maintainer Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Download size 2.86 MB
Installed size 5.55 MB
SleepyHead is a Free Software, cross platform research tool for
exploring data produced by CPAP (Continuous Positive Airway Pressure)
machines, and related equipment, which are used in the treatment of
sleep apnea and other sleep disorders.
SleepyHead supports data capable CPAP machine models from the
following series:
- ResMed S9
- AirSense 10
- AirCurve 10
- Philips Respironics System One
- Fisher & Paykel ICON & ICON+
- DeVilbiss IntelliPAP
The software supports the full range of Contec CMS50 series of
Oximeters, either standalone or synced with CPAP data (although you
will need to install a separate driver for Contact equipments).  It
also supports ResMed and PR System One oximeter attachments and file
imports from ChoiceMMed MD300W1 oximeters.

Alternatives

Package Version Architecture Repository
sleepyhead_1.0.0-beta-2+dfsg-6_amd64.deb 1.0.0 amd64 Debian Main
sleepyhead - - -

Requires

Name Value
libc6 >= 2.4
libgcc1 >= 1:4.2
libgl1 -
libglu1 -
libglu1-mesa -
libqt5core5a >= 5.11.0~rc1
libqt5gui5 >= 5.8.0
libqt5network5 >= 5.0.2
libqt5opengl5 >= 5.0.2
libqt5printsupport5 >= 5.2.0
libqt5serialport5 >= 5.6.0
libqt5webkit5 >= 5.6.0~rc
libqt5widgets5 >= 5.6.0~beta
libqt5xml5 >= 5.1.0
libquazip5-1 >= 0.7.3
libstdc++6 >= 5
libx11-6 -
zlib1g >= 1:1.1.4

Download

Type URL
Mirror ftp.br.debian.org
Binary Package sleepyhead_1.0.0-beta-2+dfsg-6_i386.deb
Source Package sleepyhead

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install sleepyhead deb package:
    # sudo apt-get install sleepyhead

Files

Path
/usr/bin/SleepyHead
/usr/share/applications/SleepyHead.desktop
/usr/share/doc/sleepyhead/README
/usr/share/doc/sleepyhead/README.Debian
/usr/share/doc/sleepyhead/changelog.Debian.gz
/usr/share/doc/sleepyhead/copyright
/usr/share/doc/sleepyhead/release_notes.html
/usr/share/doc/sleepyhead/usage.html
/usr/share/icons/hicolor/16x16/apps/SleepyHead.png
/usr/share/icons/hicolor/22x22/apps/SleepyHead.png
/usr/share/icons/hicolor/24x24/apps/SleepyHead.png
/usr/share/icons/hicolor/256x256/apps/SleepyHead.png
/usr/share/icons/hicolor/32x32/apps/SleepyHead.png
/usr/share/icons/hicolor/48x48/apps/SleepyHead.png
/usr/share/icons/hicolor/512x512/apps/SleepyHead.png
/usr/share/lintian/overrides/sleepyhead
/usr/share/man/man1/SleepyHead.1.gz

Changelog

2018-08-25 - Andreas Tille <tille@debian.org>
sleepyhead (1.0.0-beta-2+dfsg-6) unstable; urgency=medium
* Team upload.
* Standards-Version: 4.2.0
* Desktop file and icons (thanks for the contribution to Eerste Laatste
<hoekbank@hotmail.com>)
Closes: #907247
* Remove Debian menu file since there is now a desktop file
2018-04-20 - Sergio Durigan Junior <sergiodj@debian.org>
sleepyhead (1.0.0-beta-2+dfsg-5) unstable; urgency=medium
* Fix d/watch.
* Update my e-mail address.
* Update Vcs-* URLs to reflect move to salsa.
* Update d/compat to 11.
* Fix spelling errors on various files.
2018-01-08 - Sergio Durigan Junior <sergiodj@sergiodj.net>
sleepyhead (1.0.0-beta-2+dfsg-4) unstable; urgency=medium
* Adjust paths when including headers from "libquazip5".
Debian installs headers for "libquazip5" under "/usr/include/quazip5",
but upstream references them using "quazip/FILE".  We need to patch
the source files and make them include "quazip5/FILE" instead.
(Closes: #886330)
* Bump Standards-Version to 4.1.3.
2017-08-21 - Sergio Durigan Junior <sergiodj@sergiodj.net>
sleepyhead (1.0.0-beta-2+dfsg-3) unstable; urgency=medium
* Fix compiling against Qt 5.8.
Qt 5.8 introduced a new overload to QStringRef::compare that now causes
many ambiguities and the compile to fail.  The fix is to wrap strings
being compared with QLatin1String to remove the ambiguity.
Thanks to Kevin Lewis (<https://gitlab.com/kll>) for the patch.
(Closes: #872538)
* Bump compat level to 10.
* Bump standards level to 4.0.1.
* Fix Homepage URL.
* Fix d/watch.
* Enable hardening=+all in the build.
* Using https on Vcs-Browser.
2016-07-13 - Sergio Durigan Junior <sergiodj@sergiodj.net>
sleepyhead (1.0.0-beta-2+dfsg-2) unstable; urgency=medium
* Adding libglu1-mesa-dev | libglu-dev to Build-Depends.
This fixes a FTBFS on ARM systems.
2016-04-29 - Sergio Durigan Junior <sergiodj@sergiodj.net>
sleepyhead (1.0.0-beta-2+dfsg-1) unstable; urgency=medium
* Removing line that excludes font/FreeSans.ttf from debian/copyright.
This is needed because the font file will be mandatory for the build
of future versions.
* Imported Upstream version 1.0.0-beta-2+dfsg
Closes: #822816
* Updating local patches for new release.
2016-04-27 - Andreas Tille <tille@debian.org>
sleepyhead (0.9.8-4) unstable; urgency=medium
* Add watch file pointing to gitlab
* cme fix dpkg-control
2016-01-10 - Andreas Tille <tille@debian.org>
sleepyhead (0.9.8-3) unstable; urgency=medium
* Team upload
* Use the new libquazip5 instead the old libquazip-qt5 (thanks for the patch
to Bas Couwenberg <sebastic@xs4all.nl>)
Closes: #810607
2015-12-24 - Sergio Durigan Junior <sergiodj@sergiodj.net>
sleepyhead (0.9.8-2) unstable; urgency=medium
* Adapt source code to generate reproducible builds.
Because of the use of the __TIME__ and __DATE__ macros (in order to
print the compilation date for the user), it was not possible to
generate reproducible builds.  I am not adding a patch that removes
the dependency on these macros, which should be enough.  The patch has
also been proposed upstream; I will remove it from the package as soon
(and if) it gets accepted.
2015-10-11 - Sergio Durigan Junior <sergiodj@sergiodj.net>
sleepyhead (0.9.8-1) unstable; urgency=low
* Initial release (Closes: #780060)

See Also

Package Description
slepc-dev_3.10.1+dfsg1-3_all.deb Scalable Library for Eigenvalue Problem Computations
slepc3.10-doc_3.10.1+dfsg1-3_all.deb Scalable Library for Eigenvalue Problem Computations
sleuthkit_4.6.5-1_i386.deb tools for forensics analysis on volume and filesystem data
slib_3b1-5_all.deb Portable Scheme library
slic3r-prusa_1.39.2+dfsg-1+b3_i386.deb G-code generator for 3D printers
slic3r_1.3.0+dfsg1-3+b1_i386.deb G-code generator for 3D printers
slice_1.3.8-14_all.deb Extract out pre-defined slices of an ASCII file
slick-greeter_1.2.4-2_i386.deb Slick-looking LightDM greeter
slides-doc_1.0.1-15_all.deb Python-based Slide Maker -- documentation
slim_1.3.6-5.1_i386.deb desktop-independent graphical login manager for X11
slime_2.23+dfsg-2_all.deb Superior Lisp Interaction Mode for Emacs (client)
slimevolley-data_2.4.2+dfsg-2_all.deb unrealistic 2D volleyball simulation - data files
slimevolley_2.4.2+dfsg-2+b1_i386.deb unrealistic 2D volleyball simulation
slimit_0.8.1-3_all.deb JavaScript minifier/parser in Python
slingshot_0.9-2_all.deb simple 2D shooting strategy game set in space, with gravity
Advertisement
Advertisement